stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 6,
      ['furniture:hinge'] = 2,
   },
   output = 'default:chest',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 6,
      ['furniture:hinge'] = 2,
      ['furniture:lock'] = 1,
   },
   output = 'default:chest_locked',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['default:chest'] = 1,
      ['furniture:lock'] = 1,
   },
   output = 'default:chest_locked',
})

stations.dual_register_recipe('woodworking', {
   input = {
      ['group:wood'] = 2,
   },
   output = 'default:ladder_wood 5',
})

local fence_material = {
   acacia_wood = 'default:acacia_wood',
   aspen_wood = 'default:aspen_wood',
   junglewood = 'default:junglewood',
   pine_wood = 'default:pine_wood',
   wood = 'default:wood',
}

for name, mat in pairs(fence_material) do
   stations.dual_register_recipe('woodworking', {
      input = {
         [mat] = 1,
      },
      output = 'default:fence_'..name,
   })

   stations.dual_register_recipe('woodworking', {
      input = {
         [mat] = 1,
      },
      output = 'default:fence_rail_'..name..' 4',
   })
end
